Chat9
APIDocuments

Create Url Source Route

Create a new URL source and start indexing in the background.

POST
/documents/sources/url
/documents/sources/url

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

In: header

Request Body

application/jsonRequired

url
Required
Url

Minimum length: 1Format: "uri"

nameName

scheduleSchedule

Default: "weekly"Value in: "daily" | "weekly" | "manual"

exclusionsExclusions

curl -X POST "https://api.getchat9.live/documents/sources/url" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "http://example.com",
    "name": "string",
    "schedule": "daily",
    "exclusions": [
      "string"
    ]
  }'

Successful Response

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "url": "string",
  "source_type": "url",
  "status": "string",
  "schedule": "daily",
  "pages_found": 0,
  "pages_indexed": 0,
  "chunks_created": 0,
  "last_crawled_at": "2019-08-24T14:15:22Z",
  "next_crawl_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "warning_message": "string",
  "error_message": "string",
  "exclusion_patterns": [
    "string"
  ]
}